#navigation {
    background: var(--background-color);
    margin: 16px 32px;
    margin-bottom: 0px;
    border-bottom: 8px solid var(--primary-text-color);
    overflow: hidden;
    position: relative;
    font-weight: bold;
}
#navigation > a {
    display: block;
    line-height: 0;
/*    padding: 8px 0;*/
    text-align: center;
}
#navigation > a img {
    height: 44px;
    width: auto;
}
#navigation nav svg {
    width: 24px;
    height: 24px;
}
#navigation #primary-menu-button {
    display: none;
    
}
#navigation #primary-menu-button + label {
    margin: 0;
    position: absolute;
    top: 0px;
    left: 0px;
    line-height: 0;
    padding: 8px;
    border: 4px solid var(--primary-text-color);
    color: var(--primary-background-color);
    background: var(--primary-text-color);
}
#navigation #primary-menu-button + label:hover {
    cursor: pointer;
}
#navigation .menu-items {
    max-height: 0px;
    transition: max-height .3s ease-in-out 0s;
}
#navigation .menu-items a {
    position: relative;
    display: block;
    color: var(--primary-text-color);
    padding: 16px;
    border: 4px solid var(--primary-text-color);
    border-bottom: none;
    z-index: 10;
    color: var(--primary-text-color);
    background: var(--primary-background-color);
}
#navigation .menu-items a:hover {
    color: var(--primary-background-color);
    background: var(--primary-text-color);
}
#navigation input:checked ~ .menu-items {
    max-height: 999px;
}
#navigation line {
    transition: transform .3s ease-in-out 0s;
    transform-origin: 50% 50%;
}
#navigation input:checked ~ label line:nth-child(1) {
    transform: translateX(-50px);
}
#navigation input:checked ~ label line:nth-child(2) {
    transform: rotate(45deg) translateY(6px);
}
#navigation input:checked ~ label line:nth-child(3) {
    transform: rotate(-45deg) translateY(-6px);
}
@media screen and (min-width: 600px) {
    #navigation {
        display: grid;
        grid-template-columns: auto 1fr;
    }
    #site-logo {
        grid-column: span 1;
    }
    #navigation nav {
        overflow: hidden;
        grid-column: span 1;
    }
    #primary-menu-button ~ label {
        display: none;
    }
    #navigation nav .menu-items {
        display: block;
        max-height: none;
        text-align: right;
        padding: 0;
        padding-bottom: 4px;
    }
    #navigation nav .menu-items a {
        padding: 8px;
        display: inline-block;
        border: none;
        border: 4px solid var(--primary-text-color);
    }
}
